<!DOCTYPE html>
<html lang="en">
<head>
    <%- include('../views/partials/header.ejs'); %> 
</head>
<body class="container-fluid p-0">
    <header>
        <%- include('../views/partials/nav.ejs'); %>
    </header>
    <main>
        <div class="col-md-12 p-0 text-center">
            <form action="/tabla" method="post" class="tabla">
                <div class="formgroup">
                    <label for="">Tabla</label>
                    <input type="number" name="numero" id="numero" required value= <%=numero%>>
                </div>
                <button class="btn-primary btn cta-1" type="submit">Enviar Informacion</button>
                <button id="limpiar" class="btn-secondary btn cta-1" type="reset">Limpiar</button>
            </form>
            <div id="tablaContenido">
                <%
                let res=0;
    
                    if(numero !=null){
    
                        for(con=1 ; con <=10; con++){
                            res=numero*con;
                    %>
                    <h3><%=numero%> * <%=con%> = <%=res%> </h3>
            <%
                        }
                    }
            %>
            </div>

        </div>
    </main>
    <footer class="footer">
        <%- include('../views/partials/footer.ejs'); %>
    </footer>
    <script>
    document.getElementById('limpiar').addEventListener('click', function() {
        document.getElementById('numero').value = ''; // Limpia el input
        document.getElementById('tablaContenido').innerHTML = ''; // Limpia el contenido de la tabla
    });
    </script>
</body>
</html>